Bug 13069 - [3.3 Regression] gcc/config/sh/rtems.h broken
Summary: [3.3 Regression] gcc/config/sh/rtems.h broken
Status: RESOLVED FIXED
Alias: None
Product: gcc
Classification: Unclassified
Component: target (show other bugs)
Version: 3.3.2
: P2 critical
Target Milestone: 3.3.3
Assignee: Not yet assigned to anyone
URL:
Keywords: build
Depends on:
Blocks:
 
Reported: 2003-11-16 10:16 UTC by corsepiu
Modified: 2004-01-10 00:01 UTC (History)
2 users (show)

See Also:
Host:
Target: sh-rtems
Build:
Known to work:
Known to fail:
Last reconfirmed: 2003-12-23 09:49:41


Attachments
The diffs between current gcc-3.3.2 and CVS-HEAD (819 bytes, patch)
2003-11-16 10:19 UTC, corsepiu
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description corsepiu 2003-11-16 10:16:44 UTC
gcc/config/sh/rtems.h and gcc/config/sh/rtemself.h still use CPP_PREDEFINES.

The defines and asserts there-in cause building gcc to emit warnings, which
later causes building libiberty to abort (For some reason incomprehensible to
me, this uses -pedantic).

Replacing gcc/config/sh/rtems*.h with the versions from gcc-3.4/CVS-HEAD seem to
fix this issue.

This is a regression against gcc-3.2, where target=sh-rtems* had build without
problems.
Comment 1 corsepiu 2003-11-16 10:19:21 UTC
Created attachment 5149 [details]
The diffs between current gcc-3.3.2 and CVS-HEAD
Comment 2 Andrew Pinski 2003-12-16 20:27:49 UTC
Patches go to gcc-patches@gcc.gnu.org.
Comment 3 Gabriel Dos Reis 2003-12-24 22:01:20 UTC
Joel --
Can you have a look at the patch mentioned in the
audit trail?

Thanks,
Comment 4 joel.sherrill 2004-01-06 18:11:28 UTC
Subject: Re:  [3.3 Regression] gcc/config/sh/rtems.h broken

gdr at gcc dot gnu dot org wrote:

> ------- Additional Comments From gdr at gcc dot gnu dot org  2003-12-24 22:01 -------
> Joel --
> Can you have a look at the patch mentioned in the
> audit trail?

This is exactly the same patch used with the RTEMS RPMs.
Ralf is just trying to work through getting our patch
set submitted before 3.4 forks.

So yes.. this patch is A-OK. :)

Sorry for the delay.  I took a couple of weeks off for the holidays.

> Thanks,
> 
> 


Comment 5 Gabriel Dos Reis 2004-01-06 21:14:12 UTC
Subject: Re:  [3.3 Regression] gcc/config/sh/rtems.h broken

Joel Sherrill <joel.sherrill@OARcorp.com> writes:

| So yes.. this patch is A-OK. :)

Thank you!

-- Gaby
Comment 6 Nathanael C. Nerode 2004-01-09 22:19:03 UTC
Is someone committing the patch then, or should I? :-)
Comment 7 joel.sherrill 2004-01-09 22:45:07 UTC
Subject: Re:  [3.3 Regression] gcc/config/sh/rtems.h broken

neroden at gcc dot gnu dot org wrote:

> ------- Additional Comments From neroden at gcc dot gnu dot org  2004-01-09 22:19 -------
> Is someone committing the patch then, or should I? :-)
> 

Please commit it.

Comment 8 Nathanael C. Nerode 2004-01-10 00:01:41 UTC
Committed patch, closing.
Comment 9 CVS Commits 2004-01-10 00:02:33 UTC
Subject: Bug 13069

CVSROOT:	/cvs/gcc
Module name:	gcc
Branch: 	gcc-3_3-branch
Changes by:	neroden@gcc.gnu.org	2004-01-10 00:02:25

Modified files:
	gcc            : ChangeLog 
	gcc/config/sh  : rtems.h rtemself.h 

Log message:
	2004-01-02  Nathanael Nerode  <neroden@gcc.gnu.org>
	
	PR target/13069
	Backport the following from mainline:
	
	2003-03-08  Neil Booth  <neil@daikokuya.co.uk>
	* config/sh/rtemself.h (TARGET_OS_CPP_BUILTINS): Use instead of
	CPP_PREDEFINES.
	* config/sh/rtems.h (TARGET_OS_CPP_BUILTINS): Use instead of
	CPP_PREDEFINES.
	
	2003-09-27  Kelley Cook  <kcook@gcc.gnu.org>
	* config/sh/rtemself.h, config/sh/rtems.h: GNU CC -> GCC.

Patches:
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/ChangeLog.diff?cvsroot=gcc&only_with_tag=gcc-3_3-branch&r1=1.16114.2.869&r2=1.16114.2.870
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/config/sh/rtems.h.diff?cvsroot=gcc&only_with_tag=gcc-3_3-branch&r1=1.14&r2=1.14.20.1
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/config/sh/rtemself.h.diff?cvsroot=gcc&only_with_tag=gcc-3_3-branch&r1=1.8&r2=1.8.20.1